<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="vm"
            type="net.riotopsys.demo.weather.view_model.ListResultsViewModel" />
    </data>
    <android.support.design.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

    <android.support.v7.widget.RecyclerView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingLeft="10dp"
        android:paddingRight="10dp"
        app:adapter="@{vm.getAdapter}"
        app:layoutManager="android.support.v7.widget.LinearLayoutManager"
        app:decorator="@{vm.decorator}"/>

        <android.support.design.widget.FloatingActionButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|right"
            android:foregroundGravity="center"
            android:onClick="@{vm}"
            android:src="@drawable/plus"
            android:layout_margin="16dp"/>

    </android.support.design.widget.CoordinatorLayout>
</layout>